package com.persagy.apm.common.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.poi.ss.formula.functions.T;

import java.util.List;

/**
 * poems feign的返回结果
 *
 * @author lixing
 * @version V1.0 2021/5/19 2:41 下午
 **/
@ApiModel
@Data
public class PoemsFeignResponse {
    @ApiModelProperty("是否调用成功。failure失败，success成功")
    private String result;
    @ApiModelProperty("调用失败原因")
    private String reason;
    @ApiModelProperty("返回的结果对象")
    private List content;
}
